Bug 8448 - (int-154670) tasks also displayed as notes
(int-154670)
: tasks also displayed as notes
Status: RESOLVED FIXED
Product: Calendar
General
: 5.0/(2.2009.51-1)
: All Maemo
: Unspecified normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: calendar-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-23 22:37 UTC by Eric Cooper
Modified: 2010-04-09 15:30 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Eric Cooper (reporter) 2010-01-23 22:37:08 UTC
SOFTWARE VERSION:

2.2009.51-1.002

EXACT STEPS LEADING TO PROBLEM: 

Import the following task using the calendar-backend API:

  BEGIN:VTODO
  SUMMARY:This is not a note
  DUE:19700101
  END:VTODO

EXPECTED OUTCOME:

A task called "This is not a note" should appear with a date of 1970-Jan-01 in
the Tasks view, but *not* in the Notes view.

ACTUAL OUTCOME:

A task called "This is not a note" appears iin the Tasks view, but it also
appears in the Notes view.

REPRODUCIBILITY:

always

OTHER COMMENTS:

Deleting the spurious note in the Notes view still leaves the task in the Tasks
view, so it is evidently being imported as two different entries in the
database.
Comment 1 Eric Cooper (reporter) 2010-01-23 22:40:43 UTC
After doing the import, the export function from the calendar-backend API
writes only a single VTODO:

BEGIN:VCALENDAR
VERSION:1.0
BEGIN:VTODO
SUMMARY:This is not a note
UID:37
SEQUENCE:0
CREATED:20100123T203820Z
DUE:19700101T000000
DTSTART:19700101T000000
LAST-MODIFIED:20100123T203820Z
END:VTODO
END:VCALENDAR

even though it is displayed as both a task and a note.
Comment 2 Andre Klapper maemo.org 2010-01-25 18:48:51 UTC
Thanks for reporting this.
Can you attach a small testcase, if possible?
Comment 3 Venomrush 2010-03-29 02:28:16 UTC
Any updates from internal comments if this will be fixed for PR1.2? Bug has
been idle for 2 months..
Comment 4 Andre Klapper maemo.org 2010-04-09 15:30:30 UTC
Issue is not reproducible in latest internal builds that will lead to a public
PR1.2 in the future.

Steps followed :
1. Imported the following task to device N900 calendar,

BEGIN:VCALENDAR
BEGIN:VTODO
SUMMARY:This is not a note
DUE:19700101
END:VTODO
END:VCALENDAR

Actual : A task called "This is not a note" appears only in the Tasks view, not
appears in the Notes view.

Changing the status to Resolved/Fixed.

Plese reopen the bug if it is reproducible again after PR1.2 has been release
for public.

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/